fbpx
Welcome, Guest
Username: Password: Remember me

TOPIC: Is JD Chicago compatible with Kunena 5.1.x ?

Is JD Chicago compatible with Kunena 5.1.x ? 10 months 3 weeks ago #25488

Hello,

I'm writing to ask if the JD Chicago Template is compatible with Kunena 5.1.x

Currently I have a site under development which I started from the Quick Start installation of this template. (dev.eternal-circle.org)

I have imported all the messages and user data from the old website, and am about ready to take the site live, but I there is an issue that my installed version of Kunena (4.0.12) is not fully compatible with Joomla 3.9.x as messages are not previewed in any of the category views.

I have learned that Kunena 5.1.x resolves this issue, but last time I updated from version 4.x to 5.x of Kunena, (albeit with a completely different template) it broke the site completely. I don't want to repeat the experience, so I'm asking BEFORE I attempt to upgrade.

For your reference my current setup is as follows:
Joomla 3.9.21
T3 Framework 2.7.5
PHP 7.3.23
MySQL 5.7.31
Kunena 4.0.12

Thanks in anticipation

Anton
The administrator has disabled public write access.

Is JD Chicago compatible with Kunena 5.1.x ? 10 months 3 weeks ago #25497

  • chandandeep
  • chandandeep's Avatar
  • Offline
  • Administrator
  • Posts: 4593
  • Thank you received: 648
  • Karma: 116
Helllo,

Sorry to say, latest version of Kunena 5 is not compatible with Chicago and Kunena is also not provide the Default styling.

Thanks,
Chandan
Thank You,
If you like our support and products, tweet us at joomdev and let the world know about it.

To know more about products check out the their documentation.
The administrator has disabled public write access.

Is JD Chicago compatible with Kunena 5.1.x ? 10 months 3 weeks ago #25522

Hi Chanandeep,

Thanks for your reply. So how do you suggest I resolve this issue then?

I sprung for the Agency Bundle as JoomDev was one of the few companies that claimed to offer a template which supported Kunena 5 (a web search for Templates compatible with Kunena 5 lists your page www.joomdev.com/products/templates?tag=Kunena with JD Chicago 2nd in the list).

It is not wise to run insecure versions of PHP or Joomla unless I want my web server compromised within minutes, so running the JD Chicago Quickstart as shipped is not an option.

The primary purpose of this website is to act as an online forum for our community and I have a huge amount of history invested in the Kunena Forum, with threads going back to 2013. Believing I had found a solution with JD Chicago, I have already spent a significant amount of time adapting the template to the new site. So to learn that I have quite possible wasted a whole bunch of time and money doesn't exactly fill me with joy.

I have imported all the data from the old (live) site and the new one pretty much works, with the sole exception that individual messages are not listed in the category/index pages (go to the Welcome Mat on the new site to see what I mean - dev.eternal-circle.org/index.php?option=...y&catid=2&Itemid=151).

What options do I have to resolve this issue?

Thanks - Anton
The administrator has disabled public write access.

Is JD Chicago compatible with Kunena 5.1.x ? 10 months 3 weeks ago #25531

  • chandandeep
  • chandandeep's Avatar
  • Offline
  • Administrator
  • Posts: 4593
  • Thank you received: 648
  • Karma: 116
Hello,

Sorry for inconvenience.

1. We never claimed that JD Chicago is compatible with Kunena 5. We have 5 Kunena template not Kunena 5.
2. You can use Kunena 4 instead of Kunena 5. Again Kunena 5 is not providing the styling.
3. Your site link is not working. See the screenshot.


Thanks,
Chandan
Attachments:
Thank You,
If you like our support and products, tweet us at joomdev and let the world know about it.

To know more about products check out the their documentation.
The administrator has disabled public write access.

Is JD Chicago compatible with Kunena 5.1.x ? 10 months 3 weeks ago #25536

Hello Chandan,

Thanks for your reply.

Not wishing to get buried in semantics, but you can perhaps see why a Google web search would return your site when you have 5 templates that are compatible with Kunena rather than templates which are compatible with Kunena 5. Also, I would respectfully suggest that nowhere on your site does it state that your templates ARE NOT compatible with Kunena 5... well, not that I could easily see.

All that aside, I really don't mind using Kunena 4... but the problem is Kunena 4 IS NOT compatible with Joomla 3.9.x. As I said in my original post, running earlier versions of Joomla, with known vulnerabilities, is really not good security policy.

And, speaking of security policy, I suspect the reason you cannot access the website is that your location is GeoIP blocked by our firewall. If you would care to PM me your IP address, I'll be glad to add an exception rule for you.

Chandan, I'm about at my wit's end trying to resolve this issue, so I'd be hugely grateful of any assistance you can provide.

Many thanks - Anton
The administrator has disabled public write access.

Is JD Chicago compatible with Kunena 5.1.x ? 10 months 3 weeks ago #25565

  • chandandeep
  • chandandeep's Avatar
  • Offline
  • Administrator
  • Posts: 4593
  • Thank you received: 648
  • Karma: 116
Hello Anton,

Replies in order.

1. When you search on Google something, it returns you all the possible results which match your query. As your Searched for Kunena or Kunena 5, it will return all the results that include either Kunena, Kunena 5, 5 Kunena. And yes agree with you on this as well that on our website it is not mentioned that these are not compatible with Kunena 5 but its also not mentioned that they are compatible. We will add this on the template now as no one reported this before.

2. As Kunena 5 don't provide any override or CSS with its package, we are sorry we can't help with it. But I can see that to extend the Kunena 5, They have a template on their website. www.kunena.org/download/templates
I will again suggestion you to consult with them before making the purchase.

Thanks,
Chandan
Thank You,
If you like our support and products, tweet us at joomdev and let the world know about it.

To know more about products check out the their documentation.
The administrator has disabled public write access.

Is JD Chicago compatible with Kunena 5.1.x ? 10 months 3 weeks ago #25566

  • chandandeep
  • chandandeep's Avatar
  • Offline
  • Administrator
  • Posts: 4593
  • Thank you received: 648
  • Karma: 116
Also you can use JD Guerrilla template. This is compatible with Kunena 5. See the demo.

demo.joomdev.com/guerrilla/toolbar/index...um-main/kunena-forum

Thanks,
Chandan
Thank You,
If you like our support and products, tweet us at joomdev and let the world know about it.

To know more about products check out the their documentation.
The administrator has disabled public write access.
Moderators: chandandeep
Time to create page: 0.386 seconds
Cron Job Starts